#!/bin/sh
# statistikk – rekna ut historisk statistikk for omsettingane. 
mappe=/scratch/sln/i18n/

start=2009-01-01
slutt=$(date +%Y-%m-%d)

cd "$mappe/kde4/summit"

dato=$start
until [ $dato = $slutt ]
do
  for sprak in nn nb se
  do
    statfil="$mappe/kde4/stats/$sprak/$dato"
    if [ ! -e "$statfil" ]
    then
      echo -e "\n$dato – $sprak"

      svn up -r {"$dato 23:59"} $sprak/summit/messages >/dev/null
      svn up -r {"$dato 23:59"} templates/summit/messages >/dev/null

      mkdir -p "$(dirname $statfil)"
      echo trunk
      posieve stats -sbranch:trunk -sbydir -sdetail -sondiff -saccel:'&' -stemplates:messages:../../templates/summit/messages $sprak/summit/messages > "$statfil-trunk"
      echo stable
      posieve stats -sbranch:stable -sbydir -sdetail -sondiff -saccel:'&' -stemplates:messages:../../templates/summit/messages $sprak/summit/messages > "$statfil-stable"
      echo totalt
      posieve stats -sbydir -sdetail -sondiff -saccel:'&' -stemplates:messages:../../templates/summit/messages $sprak/summit/messages > "$statfil"

    fi # Ferdig for test om dagen alt er laga statistikk for.

  done # Ferdig «for sprak».
  dato=$(date -d "$dato 1 day" +"%Y-%m-%d") # Hopp til neste dag.
done # Ferdig «until [ $dato = $slutt ]».

